Description

Dear support team,
| have a question regarding work experience in UKHLS.

| try to generate a work experience variable based on the employment history files (a_empstat and e_empstat).
My problem is to define the beginning and the end of episodes:

- there are only starty and startm, but no endy or endm. This is annoying, but would not be a big problem if we had the start
information of all episodes per person.

- but: There is one spelltype 0 "current status reached, no further change", for which starty/m is always missing. This spelltype
applies to 22% of all episodes.

Is there any possibility to identify the beginning of this "current status"??
Thank you,

best regards
Sabine Hibgen

History

#1 - 04/13/2017 01:15 PM - Victoria Nolan
- Status changed from New to Feedback

- Assignee set to Sabine Hibgen

- % Done changed from 0 to 80

- Private changed from Yes to No

Dear Sabine,

I'm not sure exactly which variables you're trying to use, but below is some essential information for working with annual employment history data
which hopefully should answer your questions.

The main things to be aware of are that:

1. Atevery UKHLS wave, there are two accounts of the ‘current’ job or non-work activity; one is the report from the standalone item of jbstat, and
one is the end point of the series of information on past spells since the last interview (the series stops when the participant declares a spell to be the
current one). Usually these match up, but they don’t always, and it is the decision of the individual analyst how to handle that discrepancy.

2. This is also the case for the start date of the current job — this was asked about in a standalone question, but there is an alternative account in the
series of information on all work and non-work spells since the past interview, one is which is reported as current. | use the account from the former
activities series, because that has always been more appropriate for my research questions. Perhaps that may be fruitful for you here.

3. Except for where people reported a ‘don’t know’ or similar, you can compute the start date information for all episodes in the series, current or
ended, from the end of the preceding episode in the sequence. The exceptions are a) if it is a current spell according to jbstat which appears not to
match the last one in the series of past activities, then you may need to make a guess or exclude those people; and b) if the episode you are
interested in was fed-forward from the wave before (i.e., was current at the N-1 interview), then you need to merge in the previous wave (sometimes
more than one wave previously) and look for the relevant date information for the changeover point there (i.e. the start date for the last reported spell
in that wave’s series of past spells).

4. People only get sent through the questions about past spells if they were present and reported jbstat at the previous interview (note, this is NOT
the end point of the equivalent series, but the standalone report of current status which doesn't always match up). This means there will be
missingness in all the information for people not present at the previous wave.

5. Each person’s series of past spells begins with either empchk or notempchk, which is the check for whether their work or non-work activity,
respectively, reported as current at the previous year’s interview was still current. There are a small group of people who were sent through both
branches of the loop because they gave conflicting information the previous year between jbstat and jbhas; again, it is up to you what to do with them.
Throughout the whole series, information on work spells and non-work spells are kept separate, such that there are essentially two parallel tracks of
information for every person, one of which should always have an ‘inapplicable’ code where the other has usable info.

6. Within the blocks of information on employment history since the last wave's interview, the naming conventions require care. The series starts
with the fed-forward activity, which has its own currentness flags, date information etc, then comes the 'next' activity (whose type is stored in the
variable nxtst for work spells, and nxtstelse for non-work spells, with date info in the variables with equivalent parts to the names), and then there
begins a numbered series of information blocks, with suffixes from 1 up to 8 (at least at some waves, but it depends how many new spells people
have had that year), corresponding to spells which happened after the first spell which itself came after the fed-forward activity. When | use these
ones, | derive new variables for activity type and date info on the nxtst and nxtelse activities with names which are consistent with the variables
relating to these later spells, but with a -0 suffix. That allows you to manipulate them all in the same loop using a numbered series starting at 0.

7. For each of the activities in the series, there is a currentness flag - or rather, there is a pair of currentness flags, one for work spells and one for
non-work spells These are called, for instance, currjob5 and currstat5; if the -5 activity was a work spell, currstat5 will be ‘inapplicable’, vice versa for
a non-work spell. Crucially, the CODING IS REVERSED for these two currentness flags, such the -5 activity is current is currjob5==1 but if
currstatb==2.

| hope that helps!

Best wishes

On behalf of the data user support team.

#2 - 04/13/2017 02:42 PM - Sabine Hiibgen

Dear Victoria,
many thanks for your quick and detailed answer! This is already very helpful.

What you describe above refers to work experience since the last interview - right? This mainly covers the years of 2009-2015.

I try to build full work experience for respondents, i.e. starting with the first spell after leaving ft education and ending with the most recent interview
date.

To this end | use the two available employment history spell data sets (a_empstat and e_empstat). The variable 'empstat' indicates the type of the
spell, 2 "being FT employed" and 0 "having reached current status" for instance. By now | merged the following variables from 'indresp' w1 and w5:
jbstat, jbft_dv, jpbgm and jbbgy. With their help | try to identify the "current status" (empstat=0) and its respective starting year/month.

Is this appropriate?

Many thanks and best regards,

Sabine Hiibgen

#3 - 04/18/2017 06:58 PM - Alita Nandi
- % Done changed from 80 to 90

Yes, you are correct. The start date of the current employment status is asked every wave (w_jbbgd w_jbbgm w_jbbgy in w_indresp). So, you can
use these to replace w_leshem w_leshsy4 from the employment history files (a_empstat e_empstat) for the current employment status.

| am guessing you mean "w_leshst" and not "empstat" in "The variable 'empstat' indicates the type of the spell,"?

Best wishes,
Alita

#4 - 05/02/2017 02:12 PM - Victoria Nolan
- Status changed from Feedback to Closed
- % Done changed from 90 to 100
